#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_join_0 : public CModule {
public:
	MODCONSTRUCTOR(block_join_0) {
	}
	virtual ~block_join_0() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		//	/join 0
		if (sLine.Token(0).Equals("join") && sLine.Token(1).Equals("0")) {
			return HALT;
		}
		//	/join #0,0 ; /join #0,0,#meh
		if (sLine.Token(0).Equals("join") && sLine.Token(1).WildCmp("*,0*")) {
			return HALT;
		}
		//	/join 0,#meh
		if (sLine.Token(0).Equals("join") && sLine.Token(1).WildCmp("0*")) {
			return HALT;
		}
		return CONTINUE;
	}
};

template<> void TModInfo<block_join_0>(CModInfo& Info) {
//	Info.SetWikiPage("block_join_0");
}

NETWORKMODULEDEFS(block_join_0, "Prevent IRC client from sending /join 0.")